> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.partnerpage.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.partnerpage.io/_mcp/server.

# Get default contact request form

GET https://v1.api.partnerpage.io/api/directory/private/v1alpha/directories/forms/defaults/contact-request/

Retrieve the default contact request form

Reference: https://docs.partnerpage.io/api-reference/directory/forms/get-default-contact-request-form

## Authentication

- `Authorization` header (required) (prefixed with ` Token   `) — Your API key, sent as `Authorization: Token <your API key>`

## Response

### 200

The default contact request form

- `title` (string, required)
- `fields` (list of Field, required)
- `isCustom` (boolean, required)
- `groups` (list of Step, optional)

## Errors

### 403 Forbidden Error

User is not allowed to access this directory

- `any`

### 404 Not Found Error

Directory or form not found

- `any`

## Types

### Field

- `type` (string, required)
- `attributes` (Attribute, required)
- `id` (string, optional)
- `groups` (list of string, optional)
- `key` (string, optional)
- `options` (list of Option, optional)
- `overrides` (Override, optional, nullable)
- `inputType` (enum, optional) — * `radiogroup` - radiogroup * `select` - select * `multiselect` - multiselect
  - Allowed values: `radiogroup`, `select`, `multiselect`

### Step

- `key` (string, required)
- `title` (string, required)
- `description` (string, optional)
- `disabled` (boolean, optional, default: false)

### Attribute

- `label` (string, required)
- `description` (string, optional, nullable)
- `placeholder` (string, optional, nullable)
- `exportLabel` (string, optional, nullable)
- `internalLabel` (string, optional, nullable)
- `required` (boolean, optional, nullable)
- `order` (integer, optional, nullable)
- `hidden` (boolean, optional, nullable)
- `systemKey` (string, optional, nullable)
- `customizable` (boolean, optional, nullable)
- `minLength` (integer, optional, nullable)
- `maxLength` (integer, optional, nullable)
- `minValue` (string, optional, nullable)
- `maxValue` (string, optional, nullable)
- `precision` (integer, optional, nullable)
- `decimals` (integer, optional, nullable)
- `currencySymbol` (string, optional, nullable)
- `currencyCode` (string, optional, nullable)
- `minChoices` (integer, optional, nullable)
- `maxChoices` (integer, optional, nullable)
- `allowOther` (boolean, optional, nullable)

### Option

- `id` (string, required)
- `value` (string, required)
- `order` (integer, optional)
- `systemKey` (string, optional, nullable)

### Override

- `attributes` (list of OverrideAttribute, required)
- `conditions` (list of Condition, optional)
- `conditionCombinator` (enum, optional, default: and) — * `and` - and * `or` - or
  - Allowed values: `and`, `or`

### OverrideAttribute

- `attribute` (string, required)
- `value` (boolean, required)

### Condition

- `key` (string, required, nullable)
- `operator` (enum, required) — * `equals` - equals * `not_equals` - not_equals
  - Allowed values: `equals`, `not_equals`
- `value` (string, required)

## Examples

**Response**

```json
{
  "title": "Default Contact Request Form",
  "fields": [
    {
      "type": "text",
      "attributes": {
        "label": "First Name",
        "placeholder": "John",
        "exportLabel": "first_name",
        "internalLabel": "partnerpage-first_name",
        "required": true,
        "order": 0,
        "hidden": false,
        "systemKey": "first_name",
        "customizable": false,
        "minLength": 0,
        "maxLength": 255
      },
      "id": "6bc20308-f4c7-4608-acba-4186d4c5a458",
      "overrides": null
    }
  ],
  "isCustom": false
}
```

**SDK Code**

```python Example response
import requests

url = "https://v1.api.partnerpage.io/api/directory/private/v1alpha/directories/forms/defaults/contact-request/"

headers = {"Authorization": "Token  <apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Example response
const url = 'https://v1.api.partnerpage.io/api/directory/private/v1alpha/directories/forms/defaults/contact-request/';
const options = {method: 'GET', headers: {Authorization: 'Token  <apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```